Subject: Science PROVES Biblical Diabetes Cure (Atheists Stunned).

From: "Health Shocker" <[email-masked]>
Date: Thu, 19 May 2016 18:23:22 -0700

Your email client does not support HTML, this email must be viewed in HTML mode.